#include <stdint.h>
#include "Pi3_serial.h"
#include "mca_serial_device.h"
#include "mca2k_api.h"
#include "bpi_globals.h"

#include <stdio.h> // For debugging on a device with a file system

void main(){
    struct mca_command mca_cmd;
    bpi_serial_init();  // Prepare the serial interface communication
    printf("read_histogram.L12: bpi_serial_init() done.\n");

    // Read the arm_ctrl registers
    arm_command_defaults(&mca_cmd);
    mca_cmd.u_data = histo;
    arm_histo_read(&mca_cmd);

    {  // Debugging block
        FILE *fout;
        uint32_t *up = (uint32_t *)mca_cmd.u_data;
        fout = fopen("./data/arm_histo.txt","w");
        for(uint32_t n=0; n<1024+16; n++){
            fprintf(fout, "%u\n", up[n]);
        }
        fclose(fout);
    }

}
