import json
import matplotlib.pyplot as plt
import plot_controls as pc
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'import' directory in the parent directory also.
import bpi_plots

"""
    Assume a log file with an arm_status JSON object per line.
    Read the file line by line and extract a value defined by the two keys.
    key_0 is either "fields" or "user"
"""


def get_values(par):
    file_name = par["file_name"]
    key_0 = par["key_0"]
    key_1 = par["key_1"]
    values = []

    with open(file_name, 'r') as fin:
        for line in fin:
            status = json.loads(line)
            sn = list(status)[0]
            values += [status[sn][key_0][key_1]]

    return values


par = {
    "file_name": "../data/status_log.dat",
    "key_0": "fields",
    "key_1": "count_rate",
}
values = get_values(par)

dwell_time = 5
x_data = [n*dwell_time for n in range(len(values))]

key_0 = par["key_0"]
key_1 = par["key_1"]
pc.plot_ctrl["labels"]["xlabel"] = "Time, sec"
pc.plot_ctrl["labels"]["ylabel"] = "status[{}][{}]".format(key_0, key_1)
pc.plot_ctrl["labels"]["title"] = "status[{}][{}] vs time".format(key_0, key_1)
bpi_plots.line_plot(x_data, values, pc.plot_ctrl)

plt.show()
